Name:           deletemail
Version:        0.5
Release:        1%{?dist}
Summary:        A non-interactive tool for deleting mails

Group:          Applications/Internet
License:        MIT
URL:            http://www.jhweiss.de/software/deletemail.html
Source0:        ftp://ftp.jhweiss.de/pub/users/weiss/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel


%description
deletemail is a non-interactive tool for removing mail which is older
than a configurable number of days from one or more IMAP mailboxes. By
default, mail which is not marked as seen on the server will not be
deleted. If, for example, fetchmail is used for receiving mail from an
IMAP server, deletemail might be useful, since fetchmail deletes mail
either immediately or not at all. Thus, you could use fetchmails keep
option (so that fetchmail never deletes anything) and let deletemail
handle the removal of mail. Currently, the IMAP4 and IMAP4rev1 protocols
are supported, optionally using SSL/TLS for secure IMAP connections.


%prep
%setup -q


%build 
%configure
make %{?_smp_mflags} 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO deletemailrc.example
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Thu Jan 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5-1
- Initial package for Fedora
